Index: /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro
===================================================================
--- /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro	(revision 93)
+++ /trunk/src/paper01/fig4/fig4_met_var_correction_scatter.pro	(revision 94)
@@ -106,5 +106,6 @@
 print, xx, yy
 ab=linfit(mean, bias,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3, color=50
 print, a,b
@@ -134,5 +135,6 @@
 
 ab=linfit(mean, bias,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3, color=50
 print, a,b
@@ -161,5 +163,6 @@
 
 ab=linfit(mean, bias,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3, color=50
 print, a,b
@@ -188,5 +191,6 @@
 
 ab=linfit(mean, bias,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3, color=50
 
Index: /trunk/src/paper01/fig4/significance_test_99.pro
===================================================================
--- /trunk/src/paper01/fig4/significance_test_99.pro	(revision 93)
+++ /trunk/src/paper01/fig4/significance_test_99.pro	(revision 94)
@@ -51,5 +51,6 @@
 pro significance_test_99, x, y, sig_value
 
-   X=x & Y=y
+   X=x 
+   Y=y
 
    X=X-total(X)/n_elements(X)
Index: /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro
===================================================================
--- /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro	(revision 93)
+++ /trunk/src/paper01/fig5/fig5_gustiness_scatter.pro	(revision 94)
@@ -101,5 +101,6 @@
       xrange=[0,10], yrange=[0.5,2.5]
 ab=linfit(erai_wind, gust,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, erai_wind, yfit, thick=3, color=250
 cor=correlate(erai_wind,gust)
@@ -112,5 +113,6 @@
       xrange=[22,32], yrange=[0.5,2.5], lct=39, xmin=1, ymin=1
 ab=linfit(erai_sst, gust,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, erai_sst, yfit, thick=3, color=250
 cor=correlate(erai_sst, gust)
Index: /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro	(revision 93)
+++ /trunk/src/paper01/fig6/icoads_q2m_stats_paper.pro	(revision 94)
@@ -84,5 +84,6 @@
 ; partie a changer
 marge=[-2,-2, -4,2]
-st=19890101 & en=20091231
+st=19890101 
+en=20091231
 domdef, box
 
@@ -118,5 +119,6 @@
 
 
-si=size(trop) & nt=si(3)
+si=size(trop) 
+nt=si(3)
 
 lat_rama=[67, 55, 55, 80.5, 80.5, 80.5, 80.5, 90, 90, 90, 90, 90, 90, 90, 95]
@@ -136,5 +138,6 @@
 lon=[lon_rama, lon_pirata, lon_tao]
 
-lat_tao=lat & lon_tao=lon
+lat_tao=lat 
+lon_tao=lon
 nn=n_elements(lat)
 
@@ -143,5 +146,6 @@
   x=lat_tao(n)
   y=lon_tao(n)
-  dx=abs(reform(glamt-x)) & dy=abs(reform(gphit)-y)
+  dx=abs(reform(glamt-x)) 
+  dy=abs(reform(gphit)-y)
   ind=where((dx le 0.5) and (dy le 0.5))
   if (total(ind) ge 0.) then begin
@@ -160,11 +164,20 @@
 
 param=icoads*mask
-trop=trop*mask & oaf=oaf*mask & erai=erai*mask
-ncep2=ncep2*mask & ncep1=ncep1*mask
+trop=trop*mask 
+oaf=oaf*mask 
+erai=erai*mask
+ncep2=ncep2*mask 
+ncep1=ncep1*mask
 
 
 ind=where(finite(param) and finite(erai) and finite(trop) and finite(oaf) and finite(ncep2) and finite(ncep1))
-x=param(ind) & y=trop(ind)
-param=param(ind) & trop=trop(ind) & erai=erai(ind) & oaf=oaf(ind) & ncep2=ncep2(ind) & ncep1=ncep1(ind)
+x=param(ind) 
+y=trop(ind)
+param=param(ind) 
+trop=trop(ind) 
+erai=erai(ind) 
+oaf=oaf(ind) 
+ncep2=ncep2(ind) 
+ncep1=ncep1(ind)
 
 ;
@@ -208,6 +221,14 @@
 
 ;
-mio=4 & mao=24 & inx=1 & nx=(mao-mio)/inx+1l & xx=mio+indgen(nx)*inx
-mis=4 & mas=24 & iny=1 & ny=(mas-mis)/iny+1l & yy=mis+indgen(ny)*iny
+mio=4 
+mao=24 
+inx=1 
+nx=(mao-mio)/inx+1l 
+xx=mio+indgen(nx)*inx
+mis=4 
+mas=24 
+iny=1 
+ny=(mas-mis)/iny+1l 
+yy=mis+indgen(ny)*iny
 ;
 pdf, param,trop,mio,mao,inx,mis,mas,iny, $
Index: /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro	(revision 93)
+++ /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro	(revision 94)
@@ -84,5 +84,6 @@
 ; partie a changer
 marge=[-2,-2, -4,2]
-st=19890101 & en=20091231
+st=19890101 
+en=20091231
 domdef, box
 
@@ -123,5 +124,6 @@
 
 
-si=size(trop) & nt=si(3)
+si=size(trop) 
+nt=si(3)
 
 lat_rama=[67, 55, 55, 80.5, 80.5, 80.5, 80.5, 90, 90, 90, 90, 90, 90, 90, 95]
@@ -141,5 +143,6 @@
 lon=[lon_rama, lon_pirata, lon_tao]
 
-lat_tao=lat & lon_tao=lon
+lat_tao=lat 
+lon_tao=lon
 nn=n_elements(lat)
 
@@ -148,5 +151,6 @@
   x=lat_tao(n)
   y=lon_tao(n)
-  dx=abs(reform(glamt-x)) & dy=abs(reform(gphit)-y)
+  dx=abs(reform(glamt-x)) 
+  dy=abs(reform(gphit)-y)
   ind=where((dx le 0.5) and (dy le 0.5))
   if (total(ind) ge 0.) then begin
@@ -165,11 +169,20 @@
 
 param=icoads*mask
-trop=trop*mask & oaf=oaf*mask & erai=erai*mask
-ncep2=ncep2*mask & ncep1=ncep1*mask
+trop=trop*mask 
+oaf=oaf*mask 
+erai=erai*mask
+ncep2=ncep2*mask 
+ncep1=ncep1*mask
 noc=noc*mask
 
 ind=where(finite(param) and finite(erai) and finite(trop) and finite(oaf) and finite(ncep2) and finite(ncep1))
-x=param(ind) & y=trop(ind)
-param=param(ind) & trop=trop(ind) & erai=erai(ind) & oaf=oaf(ind) & ncep2=ncep2(ind) & ncep1=ncep1(ind)
+x=param(ind) 
+y=trop(ind)
+param=param(ind) 
+trop=trop(ind) 
+erai=erai(ind) 
+oaf=oaf(ind) 
+ncep2=ncep2(ind) 
+ncep1=ncep1(ind)
 noc=noc(ind)
 
@@ -220,8 +233,20 @@
 
 ;
-mio=15 & mao=32 & inx=1 & nx=(mao-mio)/inx+1l & xx=mio+indgen(nx)*inx
-mis=15 & mas=32 & iny=1 & ny=(mas-mis)/iny+1l & yy=mis+indgen(ny)*iny
-xp=18 & yp=16.5
-x1=15 & x2=32 & y1=x1 & y2=x2
+mio=15 
+mao=32 
+inx=1
+nx=(mao-mio)/inx+1l 
+xx=mio+indgen(nx)*inx
+mis=15 
+mas=32 
+iny=1 
+ny=(mas-mis)/iny+1l 
+yy=mis+indgen(ny)*iny
+xp=18 
+yp=16.5
+x1=15 
+x2=32 
+y1=x1 
+y2=x2
 ;
 pdf, param,trop,mio,mao,inx,mis,mas,iny, $
Index: /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro	(revision 93)
+++ /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro	(revision 94)
@@ -85,5 +85,6 @@
 ; partie a changer
 marge=[-2,-2, -4,2]
-st=19890101 & en=20091231
+st=19890101 
+en=20091231
 domdef, box
 
@@ -119,5 +120,6 @@
 
 
-si=size(trop) & nt=si(3)
+si=size(trop) 
+nt=si(3)
 
 lat_rama=[67, 55, 55, 80.5, 80.5, 80.5, 80.5, 90, 90, 90, 90, 90, 90, 90, 95]
@@ -137,5 +139,6 @@
 lon=[lon_rama, lon_pirata, lon_tao]
 
-lat_tao=lat & lon_tao=lon
+lat_tao=lat 
+lon_tao=lon
 nn=n_elements(lat)
 
@@ -144,5 +147,6 @@
   x=lat_tao(n)
   y=lon_tao(n)
-  dx=abs(reform(glamt-x)) & dy=abs(reform(gphit)-y)
+  dx=abs(reform(glamt-x)) 
+  dy=abs(reform(gphit)-y)
   ind=where((dx le 0.5) and (dy le 0.5))
   if (total(ind) ge 0.) then begin
@@ -161,11 +165,20 @@
 
 param=icoads*mask
-trop=trop*mask & oaf=oaf*mask & erai=erai*mask
-ncep2=ncep2*mask & ncep1=ncep1*mask
+trop=trop*mask 
+oaf=oaf*mask 
+erai=erai*mask
+ncep2=ncep2*mask 
+ncep1=ncep1*mask
 
 
 ind=where(finite(param) and finite(erai) and finite(trop) and finite(oaf) and finite(ncep2) and finite(ncep1))
-x=param(ind) & y=trop(ind)
-param=param(ind) & trop=trop(ind) & erai=erai(ind) & oaf=oaf(ind) & ncep2=ncep2(ind) & ncep1=ncep1(ind)
+x=param(ind) 
+y=trop(ind)
+param=param(ind) 
+trop=trop(ind) 
+erai=erai(ind) 
+oaf=oaf(ind) 
+ncep2=ncep2(ind) 
+ncep1=ncep1(ind)
 
 ;
@@ -209,9 +222,21 @@
 
 ;
-mio=15 & mao=32 & inx=1 & nx=(mao-mio)/inx+1l & xx=mio+indgen(nx)*inx
-mis=15 & mas=32 & iny=1 & ny=(mas-mis)/iny+1l & yy=mis+indgen(ny)*iny
-xp=16 & yp=14
-
-x1=13 & x2=32 & y1=x1 & y2=x2
+mio=15 
+mao=32 
+inx=1 
+nx=(mao-mio)/inx+1l 
+xx=mio+indgen(nx)*inx
+mis=15 
+mas=32 
+iny=1 
+ny=(mas-mis)/iny+1l 
+yy=mis+indgen(ny)*iny
+xp=16 
+yp=14
+
+x1=13 
+x2=32 
+y1=x1 
+y2=x2
 ;
 pdf, param,trop,mio,mao,inx,mis,mas,iny, $
Index: /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro	(revision 93)
+++ /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro	(revision 94)
@@ -86,5 +86,6 @@
 ; partie a changer
 marge=[-2,-2, -4,2]
-st=19890101 & en=20091231
+st=19890101 
+en=20091231
 domdef, box
 
@@ -124,5 +125,6 @@
 help, noc
 
-si=size(trop) & nt=si(3)
+si=size(trop) 
+nt=si(3)
 
 lat_rama=[67, 55, 55, 80.5, 80.5, 80.5, 80.5, 90, 90, 90, 90, 90, 90, 90, 95]
@@ -142,5 +144,6 @@
 lon=[lon_rama, lon_pirata, lon_tao]
 
-lat_tao=lat & lon_tao=lon
+lat_tao=lat 
+lon_tao=lon
 nn=n_elements(lat)
 
@@ -149,5 +152,6 @@
   x=lat_tao(n)
   y=lon_tao(n)
-  dx=abs(reform(glamt-x)) & dy=abs(reform(gphit)-y)
+  dx=abs(reform(glamt-x)) 
+  dy=abs(reform(gphit)-y)
   ind=where((dx le 0.5) and (dy le 0.5))
   if (total(ind) ge 0.) then begin
@@ -166,11 +170,20 @@
 
 param=icoads*mask
-trop=trop*mask & oaf=oaf*mask & erai=erai*mask
-ncep2=ncep2*mask & ncep1=ncep1*mask
+trop=trop*mask 
+oaf=oaf*mask 
+erai=erai*mask
+ncep2=ncep2*mask 
+ncep1=ncep1*mask
 noc=noc*mask
 
 ind=where(finite(param) and finite(noc) and finite(erai) and finite(trop) and finite(oaf) and finite(ncep2) and finite(ncep1))
-x=param(ind) & y=trop(ind)
-param=param(ind) & trop=trop(ind) & erai=erai(ind) & oaf=oaf(ind) & ncep2=ncep2(ind) & ncep1=ncep1(ind)
+x=param(ind) 
+y=trop(ind)
+param=param(ind) 
+trop=trop(ind) 
+erai=erai(ind) 
+oaf=oaf(ind) 
+ncep2=ncep2(ind) 
+ncep1=ncep1(ind)
 noc=noc(ind)
 
@@ -219,8 +232,20 @@
 abs_noc=string(abs_diff, format='(f5.2)')
 ;
-mio=0 & mao=15 & inx=1 & nx=(mao-mio)/inx+1l & xx=mio+indgen(nx)*inx
-mis=0 & mas=15 & iny=1 & ny=(mas-mis)/iny+1l & yy=mis+indgen(ny)*iny
-xp=4 & yp=13
-x1=0 & x2=15 & y1=x1 & y2=x2
+mio=0 
+mao=15 
+inx=1 
+nx=(mao-mio)/inx+1l 
+xx=mio+indgen(nx)*inx
+mis=0 
+mas=15 
+iny=1 
+ny=(mas-mis)/iny+1l 
+yy=mis+indgen(ny)*iny
+xp=4 
+yp=13
+x1=0 
+x2=15 
+y1=x1 
+y2=x2
 ;
 pdf, param,trop,mio,mao,inx,mis,mas,iny, $
Index: /trunk/src/paper01/fig6/statistics.pro
===================================================================
--- /trunk/src/paper01/fig6/statistics.pro	(revision 93)
+++ /trunk/src/paper01/fig6/statistics.pro	(revision 94)
@@ -62,13 +62,17 @@
 ;; mean1= mean of mooring variable      std1=std of mooring variable
 ;; mean2= mean of erai variable         std2=std of erai variable
-x=moor & y=erai
-ind1=where(finite(x,/nan)) & ind2=where(finite(y,/nan))
+x=moor 
+y=erai
+ind1=where(finite(x,/nan)) 
+ind2=where(finite(y,/nan))
 ind=inter(ind1,ind2)
 if (ind ne -1 ) then begin
-   x(ind)=!Values.f_nan &y(ind)=!Values.f_nan
+   x(ind)=!Values.f_nan 
+   y(ind)=!Values.f_nan
 endif
 
 ind=where(finite(x))
-x=x(ind) & y=y(ind)
+x=x(ind) 
+y=y(ind)
 
 nn=n_elements(ind)
@@ -76,8 +80,11 @@
 cor=correlate(x,y)
 xxx=moment(x)
-mean1=xxx(0) & std1=sqrt(xxx(1))
+mean1=xxx(0) 
+std1=sqrt(xxx(1))
 xxx=moment(y)
-mean2=xxx(0) & std2=sqrt(xxx(1))
-bias=mean2-mean1 & std=std2/std1
+mean2=xxx(0) 
+std2=sqrt(xxx(1))
+bias=mean2-mean1 
+std=std2/std1
 rmsd=sqrt(total((x-y)*(x-y))/n_elements(x))
 end
Index: /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro	(revision 93)
+++ /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro	(revision 94)
@@ -169,5 +169,6 @@
 file=project_id_env+'erai_t2m_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-unc=read_ncdf('t2m',date1,date2,file=file,/nostr) & unc=unc-273.15
+unc=read_ncdf('t2m',date1,date2,file=file,/nostr) 
+unc=unc-273.15
 help, unc
 
@@ -181,10 +182,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
@@ -223,6 +227,11 @@
 
 
-    ind=where(finite(air)) & air=air(ind) & uncr_air=uncr(ind)  & corr_air=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & ncep1=ncep1(ind)
+    ind=where(finite(air)) 
+    air=air(ind) 
+    uncr_air=uncr(ind)  
+    corr_air=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    ncep1=ncep1(ind)
     mean_tao=total(air,/nan)/n_elements(ind)
 
@@ -250,9 +259,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -268,5 +282,6 @@
 oplot, [22,31], [22,31]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -276,9 +291,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -295,5 +315,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -303,9 +324,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -322,5 +348,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -332,9 +359,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -351,5 +383,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -359,9 +392,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -378,5 +416,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro	(revision 93)
+++ /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro	(revision 94)
@@ -179,10 +179,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
@@ -220,6 +223,11 @@
      ncep1=tropflux
 
-    ind=where(finite(q2m)) & q2m=q2m(ind) & uncr_q2m=uncr(ind)  & corr_q2m=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & ncep1=ncep1(ind)
+    ind=where(finite(q2m)) 
+    q2m=q2m(ind) 
+    uncr_q2m=uncr(ind)  
+    corr_q2m=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    ncep1=ncep1(ind)
     mean_tao=total(q2m,/nan)/n_elements(ind)
 
@@ -247,9 +255,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -265,5 +278,6 @@
 oplot, [11,21], [11,21]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -273,9 +287,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -292,5 +311,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -300,9 +320,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -319,5 +344,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -328,9 +354,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -347,5 +378,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -355,9 +387,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -374,5 +411,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro	(revision 93)
+++ /trunk/src/paper01/fig7/sst_validation_scatter_2000_2009_basin.pro	(revision 94)
@@ -158,15 +158,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
 
 
-    ind=where(finite(sst)) & valid=n_elements(ind)
+    ind=where(finite(sst)) 
+    valid=n_elements(ind)
 
     if (valid ge 180) then begin
@@ -200,6 +204,12 @@
 
 
-      ind=where(finite(sst)) & sst=sst(ind) & uncr_sst=uncr(ind)  & corr_sst=corr(ind)
-      oafl=oafl(ind) & ncep=ncep(ind) & tmi=tmi(ind) & ncep1=ncep1(ind)
+      ind=where(finite(sst)) 
+      sst=sst(ind) 
+      uncr_sst=uncr(ind)  
+      corr_sst=corr(ind)
+      oafl=oafl(ind) 
+      ncep=ncep(ind) 
+      tmi=tmi(ind) 
+      ncep1=ncep1(ind)
       mean_tao=total(sst,/nan)/n_elements(ind)
 
@@ -230,9 +240,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -248,5 +263,6 @@
 oplot, [22,31], [22,31]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -256,9 +272,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -275,5 +296,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -283,9 +305,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -302,5 +329,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -312,9 +340,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -331,5 +364,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -340,9 +374,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tm=reform(ff(2,*))   & cor_tmi=total(cor_tm)/n_elements(cor_tm)
-bias_tm=reform(ff(3,*))  & bias_tmi=total(bias_tm)/n_elements(bias_tm)
-std_tm=reform(ff(4,*))   & std_tmi=total(std_tm)/n_elements(std_tm)
-rmsd_tm=reform(ff(5,*))  & rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
-mean_tao=reform(ff(6,*))  & mean_tmi=bias_tm+mean_tao
+cor_tm=reform(ff(2,*))   
+cor_tmi=total(cor_tm)/n_elements(cor_tm)
+bias_tm=reform(ff(3,*))  
+bias_tmi=total(bias_tm)/n_elements(bias_tm)
+std_tm=reform(ff(4,*))   
+std_tmi=total(std_tm)/n_elements(std_tm)
+rmsd_tm=reform(ff(5,*))  
+rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
+mean_tao=reform(ff(6,*))  
+mean_tmi=bias_tm+mean_tao
 
 print, ''
@@ -359,5 +398,6 @@
 
 ab=linfit(mean_tao, mean_tmi,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -367,9 +407,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -386,5 +431,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
